### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.deployment

# Class ServiceAttribute

java.lang.Object
com.sas.services.deployment.ServiceAttribute

All Implemented Interfaces:
  `ServiceAttributeFactoryInterface`

@SASScope("ALL") @BinaryCompatibilityOnly public class ServiceAttribute extends Object implements ServiceAttributeFactoryInterface
Represents a service attribute from the perspective of a deployment utility. In order to instantiate a service attribute one must know its fully qualified Java class name and the values for all fields.

Since:
  1.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceAttribute(String attributeClassName)`
  Constructs an instance specifying the Java class that is to represent an instantiated attribute.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final String`
  `getAttributeClassName()`
  Gets the fully qualified name for the Java class that represents the service attribute.
  `final Map<String,String>`
  `getNameValueMap()`
  Gets a map that contains attribute name/value pairs representing the fields of a class specifying a service attribute.
  `final ServiceAttributeInterface`
  `getServiceAttribute()`
  Gets the service attribute.
  `final ServiceAttributeInterface`
  `getServiceAttribute(ServiceConfigurationInterface serviceConfiguration)`
  Gets the service attribute.
  `final void`
  `put(String attributeName, String attributeValue)`
  Updates the attribute name/value map with an attribute name and its value.
  `final void`
  `setAttributeClassName(String attributeClassName)`
  Sets the fully qualified name for the Java class that represents the service attribute.
  `final String`
  `toString()`
  Gets a string representation of this instance.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ServiceAttribute

    public ServiceAttribute(String attributeClassName)
    Constructs an instance specifying the Java class that is to represent an instantiated attribute.
    Parameters:
      `attributeClassName` - Fully qualified Java class name.

- ## Method Details

  - ### getAttributeClassName

    public final String getAttributeClassName()
    Gets the fully qualified name for the Java class that represents the service attribute.
    Returns:
      Fully qualified name of the Java classs that represents this service attribute.

  - ### setAttributeClassName

    public final void setAttributeClassName(String attributeClassName)
    Sets the fully qualified name for the Java class that represents the service attribute.
    Parameters:
      `attributeClassName` - Fully qualified Java class name.

  - ### put

    public final void put(String attributeName, String attributeValue)
    Updates the attribute name/value map with an attribute name and its value.
    Parameters:
      `attributeName` - Attribute's name.
      `attributeValue` - Attribute's value.

  - ### getNameValueMap

    public final Map<String,String> getNameValueMap()
    Gets a map that contains attribute name/value pairs representing the fields of a class specifying a service attribute.
    Returns:
      Map containing attribute name/value pairs.

  - ### getServiceAttribute

    public final ServiceAttributeInterface getServiceAttribute()
    Gets the service attribute.
    Returns:
      Service attribute.

  - ### getServiceAttribute

    public final ServiceAttributeInterface getServiceAttribute(ServiceConfigurationInterface serviceConfiguration) throws InitializationException
    Gets the service attribute.
    Specified by:
      `getServiceAttribute` in interface `ServiceAttributeFactoryInterface`
    Parameters:
      `serviceConfiguration` - Service configuration containing the service attribute.
    Returns:
      Service attribute or `null`
    Throws:
      `InitializationException` - if an invalid service configuration is specified.
      `IllegalArgumentException` - if a `null` service configuration is specified.
    See Also:
      - `ServiceAttributeFactoryInterface.getServiceAttribute(ServiceConfigurationInterface)`

  - ### toString

    public final String toString()
    Gets a string representation of this instance.
    Overrides:
      `toString` in class `Object`
    Returns:
      String representation of this instance.